/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-17 18:22
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const int MAXN = 2e5 + 5;
string s;
ll N;
vector<int> ar;

/* int a[MAXN], t[MAXN], n; */
/* inline ll mergeSort(int l, int r) { */
/*   int m; */
/*   ll c = 0; */
/*   if (r - l > 1) { */
/*     m = (r + l) / 2; */
/*     c = mergeSort(l, m); */
/*     c += mergeSort(m, r); */
/*     int i = l, j = m, k = l; */
/*     while (k < r) */
/*       if (j == r || i < m && a[i] <= a[j]) */
/*         t[k++] = a[i++]; */
/*       else */
/*         t[k++] = a[j++], c += m - i; */
/*     memcpy(a + l, t + l, */
/*            (r - l) * sizeof(int)); */
/*   } */
/*   return c; */
/* } */
/* ll countInversions() { */
/*   memcpy(t, a, n * sizeof(int)); */
/*   return mergeSort(0, n); */
/* } */

pii countinvs(){
    ll no = 0, nz = 0;
    int invs = 0, rinvs = 0;
    for(auto e: ar){
        if(e){
            no++;
            rinvs += nz;
        }
        else{
            nz++;
            invs += no;
        }
    }
    return {invs, rinvs};
}

void solve(){
    // Code goes here ...
    cin >> s;
    
    N = s.size();
    ar = vector<int>(N);
    R(i,N) ar[i] = s[i] == '1';

    /* R(i,N) a[i] = ar[i]; */
    /* n = N; */

    /* ll res = countInversions(); */
    /* R(i,N) a[i] = ar[N-i-1]; */
    /* ll ores = countInversions(); */

    /* ll maxinvs = N * (N - 1) / 2; */
    /* /1* assert(maxinvs % 2 == 0); *1/ */

    /* ll shouldbe = maxinvs / 2; */


    /* fprintf(stderr, "N %d, sb %d, mi %d, is %d\n", n, shouldbe, maxinvs, res); */

    auto [res, ores] = countinvs();
    fprintf(stderr, "N %d, is %d, os %d\n", N, res, ores);
    cout << res << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    /* cin >> T; */
    while(T--)
        solve();

    return 0;
}
        
